#ifndef ANDROIDTOOLS_H_
#define ANDROIDTOOLS_H_

#include <msp/fs/path.h>
#include "toolchain.h"

class Architecture;
class Builder;

class AndroidNdk
{
private:
	Builder &builder;
	const Architecture &architecture;
	Msp::FS::Path ndk_root;
	Msp::FS::Path bin_dir;
	Msp::FS::Path platform_sysroot;

public:
	AndroidNdk(Builder &, const Architecture &);

private:
	void find_toolchain_dir();
	void find_platform_dir();

public:
	const Msp::FS::Path &get_root_dir() const { return ndk_root; }
	const Msp::FS::Path &get_bin_dir() const { return bin_dir; }
	const Msp::FS::Path &get_platform_sysroot() const { return platform_sysroot; }
};


class AndroidTools: public Toolchain
{
private:
	AndroidNdk ndk;

public:
	AndroidTools(Builder &, const Architecture &);
};

#endif
