#ifndef BINARYPACKAGE_H_
#define BINARYPACKAGE_H_

#include "package.h"

/**
Represents a package that is installed on the system, but can't be built by
Builder.
*/
class BinaryPackage: public Package
{
public:
	class Loader: public Msp::DataFile::DerivedObjectLoader<BinaryPackage, Package::Loader>
	{
	public:
		Loader(BinaryPackage &);
	private:
		void build_info();
		void header(const std::string &);
	};

private:
	typedef std::list<std::string> HeaderList;

	Msp::FS::Path base_path;
	HeaderList headers;

public:
	BinaryPackage(Builder &, const std::string &);

	static BinaryPackage *from_flags(Builder &, const std::string &, const std::vector<std::string> &);
private:
	virtual void do_prepare();
};

#endif
